# `letsencrypt.account`

Creates ACME accounts for server.

class `letsencrypt.account.``Account`(regr, key, meta=None)

  Bases: `object`

  ACME protocol registration.

  Variables:

  - regr (RegistrationResource) – Registration Resource
  - key (JWK) – Authorized Account Key
  - Meta – Account metadata
  - id (str) – Globally unique account identifier.

  class `Meta`(**kwargs)

    Bases: `acme.jose.json_util.JSONObjectWithFields`

    Account metadata

    Variables:

    - creation_dt (datetime.datetime) – Creation date and time (UTC).
    - creation_host (str) – FQDN of host, where account has been created.

    Note

    `creation_dt` and `creation_host` are useful in cross-machine migration scenarios.

  `Account.``slug`

    Short account identification string, useful for UI.

`letsencrypt.account.``report_new_account`(acc, config)

  Informs the user about their new Let’s Encrypt account.

class `letsencrypt.account.``AccountMemoryStorage`(initial_accounts=None)

  Bases: `letsencrypt.interfaces.AccountStorage`

  In-memory account strage.

class `letsencrypt.account.``AccountFileStorage`(config)

  Bases: `letsencrypt.interfaces.AccountStorage`

  Accounts file storage.

  Variables: | config (IConfig) – Client configuration